Validate Party Name Change

Runs the Party Name Change business rules (ValidatePartyName, Supporting Document,
ValidateSignatureDetails, Name Matching) synchronously against the full request payload,
without creating a case or starting the transaction process.

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

partyIdstringrequired

PartyId for which party name needs to be validated, available under SOR Policy Details

Body

application/json

PartyNameChangeRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:657b717b7dcf554abf9ef067

effectiveDatestring(date)required

Date (with pattern “yyyy-mm-dd”)

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

partyNameobjectrequired
Show Child Parameters
caseIdstring

Zinnia Live Case ID

Example:CA0000007389

Response

application/json

Party Name Change Validation Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/partyname/validation

Body

{ "effectiveDate": "effectiveDate", "partyName": {} }
 
application/json

Party Add request

Add Payee/Payor/Owner/ThirdPartyDesignee/PrimaryBeneficiary/ContingentBeneficiary based on the request

post

Path Parameters

planCodestringrequired
policyNumberstringrequired
partyRolestringrequired

Party for which details are being entered. Possible values are - Owner, Payor, Payee, PrimaryBeneficiary, ContingentBeneficiary, ThirdPartyDesignee

Allowed values:PayeePayorOwnerThirdPartyDesigneePrimaryBeneficiaryContingentBeneficiary

Example:Payee

Body

application/json

PartyChangeRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:5df63b47-54fc-4905-a8ff-e1c5f12e667d

effectiveDatestring(date)required

Date the Party was added to the Policy

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

customerIdstring

TBD

Example:0017b000010N4bCAAS

relationshipToInsuredstring

Option available for Owner, Payor, TPD and Beneficiary

Allowed values:TRUSTEETRUSTEEOFMINORTRUSTEEOFINCOMPETENTPOWEROFATTORNEYCONTROLLINGPERSONOFENTITYBROTHERCHILDDAUGHTERDOMESTICPARTNEREXECUTORSFATHERFIANCEGRANDCHILDLIFEPARTNERMOTHERSISTERSONSPOUSESTEPFATHERSTEPMOTHERSELFOTHER

partyobjectrequired
Show Child Parameters
caseIdstring

Zinnia Live Case ID

Example:CA0000007389

deleteRequestboolean

Flag for delete or update request. If flag==true then Delete Request else Update Request

Default:false

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

pdfIdstring

Identifier for the generated or associated PDF document (e.g. OnBase document number). Returned on systematic program setup and update submit when available.

Example:DOC-10004567

post/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyRole}

Body

{ "effectiveDate": "effectiveDate", "party": {} }
 
application/json

Party Change request

Update(End date) Payee/Payor/Owner/TPD/Beneficiary and Add new Payee/Payor/Owner/ThirdPartyDesignee/PrimaryBeneficiary/ContingentBeneficiary based on the request

put

Path Parameters

planCodestringrequired
policyNumberstringrequired
partyIdstringrequired
partyRolestringrequired

Party for which details are being entered. Possible values are - Owner, Payor, Payee, PrimaryBeneficiary, ContingentBeneficiary, ThirdPartyDesignee

Allowed values:PayeePayorOwnerThirdPartyDesigneePrimaryBeneficiaryContingentBeneficiary

Example:Owner

Body

application/json

PartyChangeRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:5df63b47-54fc-4905-a8ff-e1c5f12e667d

effectiveDatestring(date)required

Date the Party was added to the Policy

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

customerIdstring

TBD

Example:0017b000010N4bCAAS

relationshipToInsuredstring

Option available for Owner, Payor, TPD and Beneficiary

Allowed values:TRUSTEETRUSTEEOFMINORTRUSTEEOFINCOMPETENTPOWEROFATTORNEYCONTROLLINGPERSONOFENTITYBROTHERCHILDDAUGHTERDOMESTICPARTNEREXECUTORSFATHERFIANCEGRANDCHILDLIFEPARTNERMOTHERSISTERSONSPOUSESTEPFATHERSTEPMOTHERSELFOTHER

partyobjectrequired
Show Child Parameters
caseIdstring

Zinnia Live Case ID

Example:CA0000007389

deleteRequestboolean

Flag for delete or update request. If flag==true then Delete Request else Update Request

Default:false

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

pdfIdstring

Identifier for the generated or associated PDF document (e.g. OnBase document number). Returned on systematic program setup and update submit when available.

Example:DOC-10004567

put/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/{partyRole}

Body

{ "effectiveDate": "effectiveDate", "party": {} }
 
application/json

EligibilityCheck For Party Role Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired
partyRolestringrequired

Response

application/json

Success

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyRole}/eligibilitycheck
 
application/json

Eligibility Check Tax Withholding

Evaluates whether the policy is eligible for a tax withholding change transaction.

post

Path Parameters

planCodestringrequired

Plan Code

Example:EVIU101

policyNumberstringrequired

Policy Number

Example:EVIUL7RED012

Response

application/json

Tax Withholding Eligibility Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/parties/taxwithholding/eligibilitycheck
 
application/json